import o from "./_baseCreate.mjs";
import r from "./_getPrototype.mjs";
import e from "./_isPrototype.mjs";
function p(t) {
  return typeof t.constructor == "function" && !e(t) ? o(r(t)) : {};
}
export {
  p as default
};
